package com.xkrs.model.entity;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @author xkrs
 * 任务和图片中间表
 */
@Entity
@Table(name = "fire_task_photo")
public class FireTaskPhoto implements Serializable {
    /**
     * id 主键
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY, generator = "fire_task_photo_seq_gen")
    @SequenceGenerator(name = "fire_task_photo_seq_gen", sequenceName = "fire_task_photo_id_seq",allocationSize = 1)
    private Integer id;

    /**
     * 火点编码
     */
    @Column(length = 65, columnDefinition = "varchar(65)")
    private String photoFireCode;

    /**
     * 任务图片链接
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String taskPhoto;

    public FireTaskPhoto() {
    }

    public FireTaskPhoto(Integer id, String photoFireCode, String taskPhoto) {
        this.id = id;
        this.photoFireCode = photoFireCode;
        this.taskPhoto = taskPhoto;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getPhotoFireCode() {
        return photoFireCode;
    }

    public void setPhotoFireCode(String photoFireCode) {
        this.photoFireCode = photoFireCode;
    }

    public String getTaskPhoto() {
        return taskPhoto;
    }

    public void setTaskPhoto(String taskPhoto) {
        this.taskPhoto = taskPhoto;
    }

    @Override
    public String toString() {
        return "FireTaskPhoto{" +
                "id=" + id +
                ", photoFireCode='" + photoFireCode + '\'' +
                ", taskPhoto='" + taskPhoto + '\'' +
                '}';
    }
}
